%define		_class		Mail
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	2.0.0
Release:	%mkrel 1
Summary:	Class that provides multiple interfaces for sending emails
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/%{upstream_name}
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_Socket
Requires:	php-pear-Net_SMTP
BuildRequires:	php-pear
BuildArch:	noarch

%description
PEAR's Mail package defines an interface for implementing mailers under the
PEAR hierarchy. It also provides supporting functions useful to multiple mailer
backends. Currently supported backends include: PHP's native mail() function,
sendmail, and SMTP. This package also provides a RFC822 email address list
validation utility class.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml


%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Tue Jan 16 2024 mokraemer <mokraemer> 2.0.0-1.mga10
+ Revision: 2031671
- new version 2.0.0

* Sat Nov 04 2023 mokraemer <mokraemer> 1.6.0-1.mga10
+ Revision: 2004048
- new version 1.6.0

* Wed Aug 09 2023 mokraemer <mokraemer> 1.5.1-1.mga10
+ Revision: 1964589
- new version 1.5.1

* Thu Dec 01 2022 mokraemer <mokraemer> 1.5.0-1.mga9
+ Revision: 1913583
- new version 1.5.0

* Tue Mar 22 2022 umeabot <umeabot> 1.4.1-4.mga9
+ Revision: 1819149
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1507296
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1287766
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.4.1-1.mga7
+ Revision: 1183335
- new version

* Wed Feb 17 2016 umeabot <umeabot> 1.2.0-6.mga6
+ Revision: 964656
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 742769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 687333
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 516967
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 376818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 176319
- upgrade to 1.2.0

* Mon Jan 24 2011 spuhler <spuhler> 1.2.0-0.b1.8.mga1
+ Revision: 36063
- increased rel to 8
- changed Requires: phppear-Net_SMTP to Requires: php-pear-Net_SMTP

* Sun Jan 23 2011 spuhler <spuhler> 1.2.0-0.b1.7.mga1
+ Revision: 35374
- added Requires:php-pear-Net_Socket
  Requires:	phppear-Net_SMTincreased rel to 7

* Thu Jan 20 2011 spuhler <spuhler> 1.2.0-0.b1.6.mga1
+ Revision: 25511
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail

